# Public APIs

A collective list of JSON APIs for use in web development.

### Animals
| API | Description | OAuth |Link |
|---|---|---|---|
| Petfinder | Adoption | No | [Go!](https://www.petfinder.com/developers/api-docs/) |


### Drinks

| API | Description | OAuth |Link |
|---|---|---|---|
| BreweryDB | Beer | No |[Go!](http://www.brewerydb.com/developers) |
| LCBO API | Alcohol | No |[Go!](https://lcboapi.com/) |

### Games & Comics

| API | Description | OAuth |Link |
|---|---|---|---|
| Marvel | Marvel Comics API | No | [Go!](http://developer.marvel.com) |
| SWAPI | Star Wars API | No |[Go!](https://swapi.co) |
| Pokéapi | The RESTful Pokémon API | No |[Go!](http://pokeapi.co) |
| Giant Bomb | Video Games | No |[Go!](http://www.giantbomb.com/api/documentation) |
| Comic Vine | Comics | No | [Go!](http://comicvine.gamespot.com/api/documentation) |

### Media

| API | Description | OAuth |Link |
|---|---|---|---|
| Noun Project | Icons | Yes | [Go!](http://api.thenounproject.com/index.html) |
| Unsplash | Photography | No | [Go!](https://unsplash.com/developers) |
| Giphy | Get all your gifs | No | [Go!](https://github.com/Giphy/GiphyAPI) |
| OMDB | Open movie database | No | [Go!](http://omdbapi.com) |
| MovieDB | Movie Data | No | [Go!](https://www.themoviedb.org/documentation/api) |
| Netflix Roulette | Netflix database | No | [Go!](http://netflixroulette.net/api/) |
| Good Reads | Books | No | [Go!](https://www.goodreads.com/api) |
| Dribbble | Design | Yes | [Go!](http://developer.dribbble.com/v1/) |
| Ron Swanson Quotes | Television | No | [Go!](https://github.com/jamesseanwright/ron-swanson-quotes#ron-swanson-quotes-api) |
| Rijksmuseum| Art | No | [Go!](https://www.rijksmuseum.nl/en/api) |
| iTunes Search | Software products API | No | [Go!](https://affiliate.itunes.apple.com/resources/documentation/itunes-store-web-service-search-api/) |
| Twitch | Game Streaming API | Yes | [Go!](https://github.com/justintv/Twitch-API) |

### Music
| API | Description | OAuth |Link |
|---|---|---|---|
| Discogs | Music | No | [Go!](https://www.discogs.com/developers/) |
| EchoNest | Music | No | [Go!](http://developer.echonest.com/docs/v4) |
| LastFm | Music | No | [Go!](http://www.last.fm/api) |
| Spotify | Music | No | [Go!](https://developer.spotify.com/web-api/migration-guide/) |

### Science

| API | Description | OAuth |Link |
|---|---|---|---|
| TED Talks | TED API | No | [Go!](http://developer.ted.com/API_Docs) |
| NASA | NASA data, including imagery | No | [Go!](https://api.nasa.gov) |
| Wunderground | Weather | No | [Go!](http://www.wunderground.com/weather/api/) |
| OpenWeatherMap | Weather | No | [Go!](http://openweathermap.org/api) |
| World Bank | World Data | No | [Go!](http://data.worldbank.org/developers) |
| Open Notify | ISS astronauts, current location API | No | [Go!](http://open-notify.org/Open-Notify-API/) |

### Transportation
| API | Description | OAuth |Link |
|---|---|---|---|
| Transport for London | TFL API | No | [Go!](https://api.tfl.gov.uk) |
| Transport for Belgium | Belgian transport API | No | [Go!](https://hello.irail.be/api/) |
| Transport for Germany | Deutsche Bahn (DB) API | No | [Go!](http://data.deutschebahn.com/apis/fahrplan/) |
| Transport for Switzerland | Swiss public transport API | No | [Go!](https://transport.opendata.ch/) |
| Transport for Budapest | Budapest public transport API | No | [Go!](http://docs.bkkfutar.apiary.io/) |
| Transport for Norway | Norwegian transport API | No | [Go!](http://reisapi.ruter.no/help) |
| Transport for Toronto | TTC | No| [Go!](https://myttc.ca/developers)

### Development

| API | Description | OAuth |Link |
|---|---|---|---|
| RandomUser | Generates random user data | No | [Go!](https://randomuser.me/) |
| UI Faces | Find and generate sample avatars for user interfaces | No | [Go!](http://uifaces.com/api) |
| UI Names | Generate random fake names | No | [Go!](https://github.com/thm/uinames) |
| Adorable Avatars | Generate random cartoon avatars | No | [Go!](http://avatars.adorable.io/) |
| Github - User Data | Pull public information for a user's github | No | [Go!](https://api.github.com/users/hackeryou) |
| JSONPlaceholder | Fake data for testing and prototyping | No | [Go!](http://jsonplaceholder.typicode.com/) |
